## anomaly 1.0.0

=== DESCRIPTION ===
Package: anomaly
Type: Package
Title: Detecting Anomalies in Data
Version: 1.0.0
Date: 2018-06-20
Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
             person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("ctb","cre")),
	     person("Idris","Eckley",email="i.eckley@lancaster.ac.uk",role=c("ths")),
	     person("Paul","Fearnhead",email="p.fearnhead@lancaster.ac.uk",role=c("ths")))	
Description: An implementation of CAPA (Collective And Point Anomaly) by Fisch, Eckley and Fearnhead (2018) <arXiv:1806.01947> for the detection of anomalies in time series data. The package also contains Kepler lightcurve data and shows how CAPA can be applied to detect exoplanets.
License: GPL
Imports: dplyr,rlang,Rdpack
NeedsCompilation: yes
RoxygenNote: 6.0.1
RdMacros: Rdpack
Packaged: 2018-06-25 11:58:18 UTC; grosedj1
Author: Alex Fisch [aut],
  Daniel Grose [ctb, cre],
  Idris Eckley [ths],
  Paul Fearnhead [ths]
Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
Depends: R (>= 2.10)
Repository: CRAN
Date/Publication: 2018-06-30 17:04:20 UTC

## anomaly 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

set (HAVE_CMAKE true)

project (anomaly)
set (PROJECT_VERSION "1.0.0")

SET (ANOMALY_MAN3DIR share/man/man1    CACHE STRING "Installation directory for man pages, section 1")
SET (ANOMALY_LIBDIR  lib               CACHE STRING "Installation directory for the library")
SET (ANOMALY_DOCDIR  share/doc/anomaly CACHE STRING "Installation directory for doc files")

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set (LINUX true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set (DARWIN true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
  set (FREEBSD true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
  set (OPENBSD true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
  set (NETBSD true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
  set (SOLARIS true)
else (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set (UNKNOWN true)
endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")

message ("-- Looking for SHA1 references")
if (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)
  set (HAVE_COMMIT true)
  execute_process (COMMAND git log -1 --pretty=format:%h
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
                   OUTPUT_VARIABLE COMMIT)
  configure_file ( ${CMAKE_SOURCE_DIR}/commit.h.in
                   ${CMAKE_SOURCE_DIR}/commit.h)
  message ("-- Found SHA1 reference: ${COMMIT}")
endif (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)

set (PACKAGE "${PROJECT_NAME}")
set (VERSION "${PROJECT_VERSION}")
set (PACKAGE_BUGREPORT "support@yootabory.org")
set (PACKAGE_NAME "${PACKAGE}")
set (PACKAGE_TARNAME "${PACKAGE}")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_STRING "${PACKAGE} ${VERSION}")

message ("-- Configuring cmake.h")
configure_file (
  ${CMAKE_SOURCE_DIR}/cmake.h.in
  ${CMAKE_SOURCE_DIR}/cmake.h)

add_subdirectory (src)
add_subdirectory (doc)
if (EXISTS test)
  add_subdirectory (test EXCLUDE_FROM_ALL)
endif (EXISTS test)

set (doc_FILES NEWS ChangeLog INSTALL AUTHORS COPYING)
foreach (doc_FILE ${doc_FILES})
  install (FILES ${doc_FILE}  DESTINATION ${ANOMALY_DOCDIR})
endforeach (doc_FILE)

# ---

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
set (CPACK_SOURCE_IGNORE_FILES  "CMakeCache" "CMakeFiles" "CPackConfig" "CPackSourceConfig"
                                "_CPack_Packages" "cmake_install" "install_manifest"
                                "Makefile$" "test"
                                "/\\.gitignore" "/\\.git/" "swp$")
include (CPack)

=== DESCRIPTION ===
Package: anomaly
Type: Package
Title: Detecting Anomalies in Data
Version: 1.1.0
Date: 2018-09-19
Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
             person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("ctb","cre")),
	     person("Idris","Eckley",email="i.eckley@lancaster.ac.uk",role=c("ths")),
	     person("Paul","Fearnhead",email="p.fearnhead@lancaster.ac.uk",role=c("ths")))	
Description: An implementation of CAPA (Collective And Point Anomaly) for the detection of anomalies in time series data. The package also contains Kepler lightcurve data and shows how CAPA can be applied to detect exoplanets.
License: GPL
Imports: dplyr,rlang,Rdpack,ggplot2
NeedsCompilation: yes
RoxygenNote: 6.0.1
RdMacros: Rdpack
Packaged: 2018-09-19 12:36:02 UTC; grosedj1
Author: Alex Fisch [aut],
  Daniel Grose [ctb, cre],
  Idris Eckley [ths],
  Paul Fearnhead [ths]
Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
Depends: R (>= 2.10)
Repository: CRAN
Date/Publication: 2018-09-21 07:20:03 UTC

=== doc/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
message ("-- Configuring man pages")
set (man_FILES anomaly.1)
foreach (man_FILE ${man_FILES})
  configure_file (
    man/${man_FILE}.in
    man/${man_FILE})
endforeach (man_FILE)

install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/man/ DESTINATION share/man/man1
                                                    FILES_MATCHING PATTERN "*.1")

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
include_directories (${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}
                     ${ANOMALY_INCLUDE_DIRS})
add_executable(anomaly anomaly.cpp
                       Detector.cpp Detector.h)

install (TARGETS anomaly DESTINATION bin)

=== test/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}/test)

add_custom_target (test ./run_all WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/test)

=== debian/changelog ===
anomaly (1.1.0-5) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4
    Closes: #1112698
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2025 17:26:45 +0100

anomaly (1.1.0-4) unstable; urgency=medium

  * Team upload.

  [ Iain R. Learmonth ]
  * Update the team email address

  [ Andreas Tille ]
  * Team Vcs fields
  * New Homepage
  * Point watch file to Github (version 1.2.0 not yet released thus
    Closes: #1081612  )
  * Fix clean target
    Closes: #1043900
  * Fix typo in debhelper name (doc -> docs)
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * d/copyright: Fix source URL

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jan 2025 10:49:04 +0100

anomaly (1.1.0-3) unstable; urgency=medium

  * Fix missing comma in package description. Thanks to Pascal De Vuyst.
    (Closes: #745304).

 -- Alejandro Garrido Mota <alejandro@debian.org>  Sun, 20 Apr 2014 08:35:38 -0430

anomaly (1.1.0-2) unstable; urgency=medium

  * d/control:
    - Fix ustream homepage URL (Closes: #738769).
    - Push to 3.9.5 Standards-Version field.

 -- Alejandro Garrido Mota <alejandro@debian.org>  Sun, 16 Feb 2014 11:55:43 -0430

anomaly (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #721646).

 -- Alejandro Garrido Mota <alejandro@debian.org>  Mon, 02 Sep 2013 22:42:34 +0200

=== debian/control ===
Source: anomaly
Standards-Version: 4.7.2
Maintainer: Debian Tasktools Packaging Team <taskdeb-discuss@nongnu.org>
Uploaders:
 Alejandro Garrido Mota <alejandro@debian.org>,
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Vcs-Browser: https://salsa.debian.org/tasktools-team/anomaly
Vcs-Git: https://salsa.debian.org/tasktools-team/anomaly.git
Homepage: https://github.com/GothenburgBitFactory/anomaly/

Package: anomaly
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: detect anomalous data in a numeric stream
 To detect anomalous data in a numeric stream, anomaly needs to see
 a stream of numeric data and apply one of its detection methods.
 If an anomaly is detected, a response is made, chosen from one or
 more built in methods.

=== debian/rules ===
#!/usr/bin/make -f
PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_install:
	cp $(CURDIR)/doc/man/anomaly.1.in debian/anomaly.1
	dh_auto_install
	rm -f $(TMP)/usr/share/doc/anomaly/COPYING \
		$(TMP)/usr/share/doc/anomaly/INSTALL

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
Version: 5

Template: Github
Owner: GothenburgBitFactory
Project: anomaly

## anomaly 2.0.1

=== DESCRIPTION ===
Package: anomaly
Type: Package
Title: Detecting Anomalies in Data
Version: 2.0.1
Date: 2019-09-04
Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
             person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("aut","cre")),
	     person("Lawrence","Bardwell",email="l.bardwell@lancaster.ac.uk",role=c("ctb")),	
	     person("Idris","Eckley",email="i.eckley@lancaster.ac.uk",role=c("ths")),
	     person("Paul","Fearnhead",email="p.fearnhead@lancaster.ac.uk",role=c("ths")))	
Description: Implements Collective And Point Anomaly (CAPA) <arXiv:1806.01947>, Multi-Variate Collective And Point Anomaly (MVCAPA) <arXiv:1909.01691>, and Proportion Adaptive Segment Selection (PASS) <doi:10.1093/biomet/ass059> methods for the detection of anomalies in time series data. 
License: GPL
Imports: dplyr,rlang,methods,assertive,Rdpack,ggplot2,reshape2,Rcpp (>=
        0.12.18),robust
LinkingTo: Rcpp,BH
Suggests: magrittr
Depends: R (>= 2.10)
NeedsCompilation: yes
RoxygenNote: 6.1.1
RdMacros: Rdpack
Packaged: 2019-09-11 09:18:15 UTC; grosedj1
Author: Alex Fisch [aut],
  Daniel Grose [aut, cre],
  Lawrence Bardwell [ctb],
  Idris Eckley [ths],
  Paul Fearnhead [ths]
Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
Repository: CRAN
Date/Publication: 2019-09-11 11:00:08 UTC

## anomaly 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: anomaly
 Type: Package
 Title: Detecting Anomalies in Data
-Version: 2.0.1
-Date: 2019-09-04
+Version: 2.0.2
+Date: 2019-09-19
 Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
              person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("aut","cre")),
 	     person("Lawrence","Bardwell",email="l.bardwell@lancaster.ac.uk",role=c("ctb")),	
@@ -18,7 +18,7 @@
 NeedsCompilation: yes
 RoxygenNote: 6.1.1
 RdMacros: Rdpack
-Packaged: 2019-09-11 09:18:15 UTC; grosedj1
+Packaged: 2019-09-19 09:47:33 UTC; grosedj
 Author: Alex Fisch [aut],
   Daniel Grose [aut, cre],
   Lawrence Bardwell [ctb],
@@ -26,4 +26,4 @@
   Paul Fearnhead [ths]
 Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
 Repository: CRAN
-Date/Publication: 2019-09-11 11:00:08 UTC
+Date/Publication: 2019-09-19 12:00:03 UTC

## anomaly 2.0.4

=== DESCRIPTION ===
Package: anomaly
Type: Package
Title: Detecting Anomalies in Data
Version: 2.0.4
Date: 2020-02-28
Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
             person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("aut","cre")),
	     person("Lawrence","Bardwell",email="l.bardwell@lancaster.ac.uk",role=c("ctb")),	
	     person("Idris","Eckley",email="i.eckley@lancaster.ac.uk",role=c("ths")),
	     person("Paul","Fearnhead",email="p.fearnhead@lancaster.ac.uk",role=c("ths")))	
Description: Implements Collective And Point Anomaly (CAPA) <arXiv:1806.01947>, Multi-Variate Collective And Point Anomaly (MVCAPA) <arXiv:1909.01691>, and Proportion Adaptive Segment Selection (PASS) <doi:10.1093/biomet/ass059> methods for the detection of anomalies in time series data. 
License: GPL
Imports: dplyr,rlang,methods,assertive,Rdpack,ggplot2,reshape2,Rcpp (>=
        0.12.18),robustbase
LinkingTo: Rcpp,BH
Suggests: magrittr
Depends: R (>= 2.10)
NeedsCompilation: yes
RoxygenNote: 7.0.2
RdMacros: Rdpack
Packaged: 2020-02-28 10:12:34 UTC; grosedj
Author: Alex Fisch [aut],
  Daniel Grose [aut, cre],
  Lawrence Bardwell [ctb],
  Idris Eckley [ths],
  Paul Fearnhead [ths]
Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
Repository: CRAN
Date/Publication: 2020-02-28 10:50:06 UTC

## anomaly 3.0.0

=== DESCRIPTION ===
Package: anomaly
Type: Package
Title: Detecting Anomalies in Data
Version: 3.0.0
Date: 2020-03-16
Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
             person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("aut","cre")),
	     person("Lawrence","Bardwell",email="l.bardwell@lancaster.ac.uk",role=c("ctb")),	
	     person("Idris","Eckley",email="i.eckley@lancaster.ac.uk",role=c("ths")),
	     person("Paul","Fearnhead",email="p.fearnhead@lancaster.ac.uk",role=c("ths")))	
Description: Implements Collective And Point Anomaly (CAPA) <arXiv:1806.01947>, Multi-Variate Collective And Point Anomaly (MVCAPA) <arXiv:1909.01691>, Proportion Adaptive Segment Selection (PASS) <doi:10.1093/biomet/ass059>, and Bayesian Abnormal Region Detector (BARD) <doi:10.1214/16-BA998> methods for the detection of anomalies in time series data. 
License: GPL
Imports: dplyr,rlang,methods,assertive,Rdpack,ggplot2,reshape2,Rcpp (>=
        0.12.18),robustbase,cowplot
LinkingTo: Rcpp,BH
Suggests: magrittr
Depends: R (>= 3.5.0)
NeedsCompilation: yes
RoxygenNote: 7.1.0
RdMacros: Rdpack
Packaged: 2020-03-16 09:28:54 UTC; grosedj1
Author: Alex Fisch [aut],
  Daniel Grose [aut, cre],
  Lawrence Bardwell [ctb],
  Idris Eckley [ths],
  Paul Fearnhead [ths]
Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
Repository: CRAN
Date/Publication: 2020-03-16 11:10:02 UTC

## anomaly 3.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: anomaly
 Type: Package
 Title: Detecting Anomalies in Data
-Version: 3.0.0
-Date: 2020-03-16
+Version: 3.0.1
+Date: 2020-04-02
 Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
              person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("aut","cre")),
 	     person("Lawrence","Bardwell",email="l.bardwell@lancaster.ac.uk",role=c("ctb")),	
@@ -18,7 +18,7 @@
 NeedsCompilation: yes
 RoxygenNote: 7.1.0
 RdMacros: Rdpack
-Packaged: 2020-03-16 09:28:54 UTC; grosedj1
+Packaged: 2020-04-02 17:30:17 UTC; grosedj
 Author: Alex Fisch [aut],
   Daniel Grose [aut, cre],
   Lawrence Bardwell [ctb],
@@ -26,4 +26,4 @@
   Paul Fearnhead [ths]
 Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
 Repository: CRAN
-Date/Publication: 2020-03-16 11:10:02 UTC
+Date/Publication: 2020-04-06 12:42:07 UTC

## anomaly 3.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: anomaly
 Type: Package
 Title: Detecting Anomalies in Data
-Version: 3.0.1
-Date: 2020-04-02
+Version: 3.0.2
+Date: 2020-08-05
 Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
              person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("aut","cre")),
 	     person("Lawrence","Bardwell",email="l.bardwell@lancaster.ac.uk",role=c("ctb")),	
@@ -18,7 +18,7 @@
 NeedsCompilation: yes
 RoxygenNote: 7.1.0
 RdMacros: Rdpack
-Packaged: 2020-04-02 17:30:17 UTC; grosedj
+Packaged: 2020-08-05 15:50:30 UTC; grosedj
 Author: Alex Fisch [aut],
   Daniel Grose [aut, cre],
   Lawrence Bardwell [ctb],
@@ -26,4 +26,4 @@
   Paul Fearnhead [ths]
 Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
 Repository: CRAN
-Date/Publication: 2020-04-06 12:42:07 UTC
+Date/Publication: 2020-08-07 10:00:06 UTC

## anomaly 4.0.0

=== DESCRIPTION ===
Package: anomaly
Type: Package
Title: Detecting Anomalies in Data
Version: 4.0.0
Date: 2020-09-25
Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
             person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("aut","cre")),
	     person("Lawrence","Bardwell",email="l.bardwell@lancaster.ac.uk",role=c("ctb")),	
	     person("Idris","Eckley",email="i.eckley@lancaster.ac.uk",role=c("ths")),
	     person("Paul","Fearnhead",email="p.fearnhead@lancaster.ac.uk",role=c("ths")))	
Description: Implements Collective And Point Anomaly (CAPA) <arXiv:1806.01947>, Multi-Variate Collective And Point Anomaly (MVCAPA) <arXiv:1909.01691>, Proportion Adaptive Segment Selection (PASS) <doi:10.1093/biomet/ass059>, and Bayesian Abnormal Region Detector (BARD) <doi:10.1214/16-BA998> methods for the detection of anomalies in time series data. Also includes sequential versions of CAPA and MVCAPA <arXiv:2009.06670>. 
License: GPL
Imports: dplyr,rlang,methods,assertive,Rdpack,ggplot2,reshape2,Rcpp (>=
        0.12.18),robustbase,cowplot
LinkingTo: Rcpp,BH
Suggests: magrittr
Depends: R (>= 3.5.0)
NeedsCompilation: yes
RoxygenNote: 7.1.0
RdMacros: Rdpack
Packaged: 2020-09-29 12:58:38 UTC; grosedj
Author: Alex Fisch [aut],
  Daniel Grose [aut, cre],
  Lawrence Bardwell [ctb],
  Idris Eckley [ths],
  Paul Fearnhead [ths]
Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
Repository: CRAN
Date/Publication: 2020-09-29 14:50:06 UTC

## anomaly 4.0.1

=== DESCRIPTION ===
Package: anomaly
Type: Package
Title: Detecting Anomalies in Data
Version: 4.0.1
Date: 2021-01-21
Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
             person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("aut","cre")),
	     person("Lawrence","Bardwell",email="l.bardwell@lancaster.ac.uk",role=c("aut","ctb")),	
	     person("Idris","Eckley",email="i.eckley@lancaster.ac.uk",role=c("aut","ths")),
	     person("Paul","Fearnhead",email="p.fearnhead@lancaster.ac.uk",role=c("aut","ths")))	
Description: Implements Collective And Point Anomaly (CAPA) <arXiv:1806.01947>, Multi-Variate Collective And Point Anomaly (MVCAPA) <arXiv:1909.01691>, Proportion Adaptive Segment Selection (PASS) <doi:10.1093/biomet/ass059>, and Bayesian Abnormal Region Detector (BARD) <doi:10.1214/16-BA998> methods for the detection of anomalies in time series data. Also includes sequential versions of CAPA and MVCAPA <arXiv:2009.06670>. 
License: GPL
Imports: dplyr,rlang,methods,assertive,Rdpack,ggplot2,reshape2,Rcpp (>=
        0.12.18),robustbase,cowplot
LinkingTo: Rcpp,BH
Suggests: magrittr
Depends: R (>= 3.5.0)
NeedsCompilation: yes
RoxygenNote: 7.1.1
RdMacros: Rdpack
Packaged: 2021-01-21 15:23:23 UTC; grosedj1
Author: Alex Fisch [aut],
  Daniel Grose [aut, cre],
  Lawrence Bardwell [aut, ctb],
  Idris Eckley [aut, ths],
  Paul Fearnhead [aut, ths]
Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
Repository: CRAN
Date/Publication: 2021-01-21 16:20:13 UTC

## anomaly 4.0.2

=== DESCRIPTION ===
Package: anomaly
Type: Package
Title: Detecting Anomalies in Data
Version: 4.0.2
Date: 2021-10-20
Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
             person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("aut","cre")),
	     person("Lawrence","Bardwell",email="l.bardwell@lancaster.ac.uk",role=c("aut","ctb")),	
	     person("Idris","Eckley",email="i.eckley@lancaster.ac.uk",role=c("aut","ths")),
	     person("Paul","Fearnhead",email="p.fearnhead@lancaster.ac.uk",role=c("aut","ths")))	
Description: Implements Collective And Point Anomaly (CAPA) <arXiv:1806.01947>, Multi-Variate Collective And Point Anomaly (MVCAPA) <arXiv:1909.01691>, Proportion Adaptive Segment Selection (PASS) <doi:10.1093/biomet/ass059>, and Bayesian Abnormal Region Detector (BARD) <arXiv:1412.5565> methods for the detection of anomalies in time series data. Also includes sequential versions of CAPA and MVCAPA <arXiv:2009.06670>. 
License: GPL
Imports: dplyr,rlang,methods,assertive,Rdpack,ggplot2,reshape2,Rcpp (>=
        0.12.18),robustbase,cowplot,xts,zoo,robust,runner,magrittr,caTools
LinkingTo: Rcpp,BH
Depends: R (>= 3.5.0)
NeedsCompilation: yes
RoxygenNote: 7.1.1
RdMacros: Rdpack
Packaged: 2021-10-20 18:50:12 UTC; grosedj
Author: Alex Fisch [aut],
  Daniel Grose [aut, cre],
  Lawrence Bardwell [aut, ctb],
  Idris Eckley [aut, ths],
  Paul Fearnhead [aut, ths]
Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
Repository: CRAN
Date/Publication: 2021-10-20 19:40:02 UTC

## anomaly 4.3.0

=== DESCRIPTION ===
Package: anomaly
Type: Package
Title: Detecting Anomalies in Data
Version: 4.3.0
Date: 2023-08-09
Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
             person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("aut","cre")),
	     person("Lawrence","Bardwell",email="l.bardwell@lancaster.ac.uk",role=c("aut","ctb")),	
	     person("Idris","Eckley",email="i.eckley@lancaster.ac.uk",role=c("aut","ths")),
	     person("Paul","Fearnhead",email="p.fearnhead@lancaster.ac.uk",role=c("aut","ths")))
Description: Implements Collective And Point Anomaly (CAPA) Fisch, Eckley, and Fearnhead (2022) <doi:10.1002/sam.11586>, Multi-Variate Collective And Point Anomaly (MVCAPA) Fisch, Eckley, and Fearnhead (2021) <doi:10.1080/10618600.2021.1987257>, Proportion Adaptive Segment Selection (PASS) Jeng, Cai, and Li (2012) <doi:10.1093/biomet/ass059>, and Bayesian Abnormal Region Detector (BARD) Bardwell and Fearnhead (2015) <arXiv:1412.5565>. These methods are for the detection of anomalies in time series data. 
License: GPL
Imports: dplyr,tidyr,methods,assertive,ggplot2,Rcpp (>=
        0.12.18),xts,zoo,Rdpack
LinkingTo: Rcpp,BH
Depends: R (>= 3.5.0)
NeedsCompilation: yes
RoxygenNote: 7.2.3
RdMacros: Rdpack
Encoding: UTF-8
Collate: 'RcppExports.R' 'anomaly-package.R' 'generics.R' 'bard.R'
        'capa.R' 'data.R' 'pass.R' 'pass.class.R'
Suggests: robustbase
Packaged: 2023-08-09 13:34:19 UTC; grosedj
Author: Alex Fisch [aut],
  Daniel Grose [aut, cre],
  Lawrence Bardwell [aut, ctb],
  Idris Eckley [aut, ths],
  Paul Fearnhead [aut, ths]
Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
Repository: CRAN
Date/Publication: 2023-08-10 07:50:09 UTC

## anomaly 4.3.1

=== DESCRIPTION ===
Package: anomaly
Type: Package
Title: Detecting Anomalies in Data
Version: 4.3.1
Date: 2023-10-30
Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
             person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("aut","cre")),
	     person("Lawrence","Bardwell",email="l.bardwell@lancaster.ac.uk",role=c("aut","ctb")),	
	     person("Idris","Eckley",email="i.eckley@lancaster.ac.uk",role=c("aut","ths")),
	     person("Paul","Fearnhead",email="p.fearnhead@lancaster.ac.uk",role=c("aut","ths")))
Description: Implements Collective And Point Anomaly (CAPA) Fisch, Eckley, and Fearnhead (2022) <doi:10.1002/sam.11586>, Multi-Variate Collective And Point Anomaly (MVCAPA) Fisch, Eckley, and Fearnhead (2021) <doi:10.1080/10618600.2021.1987257>, Proportion Adaptive Segment Selection (PASS) Jeng, Cai, and Li (2012) <doi:10.1093/biomet/ass059>, and Bayesian Abnormal Region Detector (BARD) Bardwell and Fearnhead (2015) <arXiv:1412.5565>. These methods are for the detection of anomalies in time series data. 
License: GPL
Imports: dplyr,tidyr,methods,ggplot2,Rcpp (>=
        0.12.18),xts,zoo,Rdpack,cowplot
LinkingTo: Rcpp,BH
Depends: R (>= 3.5.0)
NeedsCompilation: yes
RoxygenNote: 7.2.3
RdMacros: Rdpack
Encoding: UTF-8
Collate: 'RcppExports.R' 'anomaly-package.R' 'generics.R' 'bard.R'
        'capa.R' 'data.R' 'pass.R' 'pass.class.R'
Suggests: robustbase
Packaged: 2023-10-30 11:08:40 UTC; grosedj
Author: Alex Fisch [aut],
  Daniel Grose [aut, cre],
  Lawrence Bardwell [aut, ctb],
  Idris Eckley [aut, ths],
  Paul Fearnhead [aut, ths]
Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
Repository: CRAN
Date/Publication: 2023-10-30 14:00:02 UTC

## anomaly 4.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: anomaly
 Type: Package
 Title: Detecting Anomalies in Data
-Version: 4.3.1
-Date: 2023-10-30
+Version: 4.3.2
+Date: 2023-11-23
 Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
              person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("aut","cre")),
 	     person("Lawrence","Bardwell",email="l.bardwell@lancaster.ac.uk",role=c("aut","ctb")),	
@@ -21,7 +21,7 @@
 Collate: 'RcppExports.R' 'anomaly-package.R' 'generics.R' 'bard.R'
         'capa.R' 'data.R' 'pass.R' 'pass.class.R'
 Suggests: robustbase
-Packaged: 2023-10-30 11:08:40 UTC; grosedj
+Packaged: 2023-11-23 12:17:51 UTC; grosedj
 Author: Alex Fisch [aut],
   Daniel Grose [aut, cre],
   Lawrence Bardwell [aut, ctb],
@@ -29,4 +29,4 @@
   Paul Fearnhead [aut, ths]
 Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
 Repository: CRAN
-Date/Publication: 2023-10-30 14:00:02 UTC
+Date/Publication: 2023-11-23 13:40:02 UTC

## anomaly 4.3.3

=== DESCRIPTION ===
Package: anomaly
Type: Package
Title: Detecting Anomalies in Data
Version: 4.3.3
Date: 2024-08-19
Authors@R: c(person("Alex","Fisch",email="a.t.fisch@lancaster.ac.uk",role=c("aut")),
             person("Daniel","Grose",email="dan.grose@lancaster.ac.uk",role=c("aut","cre")),
	     person("Lawrence","Bardwell",email="l.bardwell@lancaster.ac.uk",role=c("aut","ctb")),	
	     person("Idris","Eckley",email="i.eckley@lancaster.ac.uk",role=c("aut","ths")),
	     person("Paul","Fearnhead",email="p.fearnhead@lancaster.ac.uk",role=c("aut","ths")))
Description: Implements Collective And Point Anomaly (CAPA) Fisch, Eckley, and Fearnhead (2022) <doi:10.1002/sam.11586>, Multi-Variate Collective And Point Anomaly (MVCAPA) Fisch, Eckley, and Fearnhead (2021) <doi:10.1080/10618600.2021.1987257>, Proportion Adaptive Segment Selection (PASS) Jeng, Cai, and Li (2012) <doi:10.1093/biomet/ass059>, and Bayesian Abnormal Region Detector (BARD) Bardwell and Fearnhead (2015) <doi:10.1214/16-BA998>. These methods are for the detection of anomalies in time series data. Further information regarding the use of this package along with detailed examples can be found in Fisch, Grose, Eckley, Fearnhead, and Bardwell (2024) <doi:10.18637/jss.v110.i01>.
License: GPL
Imports: dplyr,tidyr,methods,ggplot2,Rcpp (>=
        0.12.18),xts,zoo,Rdpack,cowplot
LinkingTo: Rcpp,BH
Depends: R (>= 3.5.0)
NeedsCompilation: yes
RoxygenNote: 7.3.2
RdMacros: Rdpack
Encoding: UTF-8
Collate: 'RcppExports.R' 'anomaly-package.R' 'generics.R' 'bard.R'
        'capa.R' 'data.R' 'pass.R' 'pass.class.R'
Suggests: robustbase
Packaged: 2024-08-19 15:37:28 UTC; grosed
Author: Alex Fisch [aut],
  Daniel Grose [aut, cre],
  Lawrence Bardwell [aut, ctb],
  Idris Eckley [aut, ths],
  Paul Fearnhead [aut, ths]
Maintainer: Daniel Grose <dan.grose@lancaster.ac.uk>
Repository: CRAN
Date/Publication: 2024-08-19 18:40:07 UTC
